Bug 221033 - "continued lines" are not handled correctly
"continued lines" are not handled correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 14:35 EST by Christian Krause
Modified: 2009-12-18 00:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:54:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Krause 2006-12-30 14:35:10 EST
Description of problem:

when smb.conf contains a line which is continued on the next line (backslash at
end of the first one) system-config-samba doesn't start

Version-Release number of selected component (if applicable):
1.2.35-1.1

How reproducible:
100%

Steps to Reproduce:
1. add the following two lines to a working smb.conf:
----------------
       message command = logger 'message from %f on %m:';  \
cat %s |logger;  logger 'end of message';  rm -f %s
----------------

2. start system-config-samba
  
Actual results:
@:/etc/samba# system-config-samba 
Traceback (most recent call last):
  File "/usr/share/system-config-samba/system-config-samba.py", line 41, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/system-config-samba/mainWindow.py", line 79, in __init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/system-config-samba/sambaParser.py", line 178, in __init__
    self.parseFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 217, in parseFile
    token = self.createToken(line, section) 
  File "/usr/share/system-config-samba/sambaParser.py", line 257, in createToken
    name, value = string.split(stripped_line, "=", 1)
ValueError: need more than 1 value to unpack

Expected results:
because these type of joined lines are allowed in the smb.conf file (according
to "man smb.conf"), system-config-samba should support them

Additional info:
I've solved this on my system by changing
/usr/share/system-config-samba/sambaParser.py to use distutils.text_file:

------------------
from distutils.text_file import TextFile
...
        if os.access(path, os.R_OK) == 1:
            #Check to see if we can read from the file
            fd = open(path, 'r')
             tf = TextFile(file = fd, join_lines = 1, strip_comments = 0,
skip_blanks = 0, rstrip_ws = 1, collapse_join = 0);
            lines = tf.readlines()
            fd.close()
-------------------
Sure, that's just a hack, ... ;-) But something like this would be good...
Comment 1 Bug Zapper 2008-04-04 01:24:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Nils Philippsen 2008-04-04 07:27:42 EDT
I think current system-config-samba should be able to cope with this. Christian,
would you please check this out on a current version?
Comment 3 Christian Krause 2008-04-04 15:38:16 EDT
(In reply to comment #2)
> I think current system-config-samba should be able to cope with this. Christian,
> would you please check this out on a current version?

Sure, no problem. Unfortunately the same bug happens with the most recent
version in F8 as well (system-config-samba-1.2.58-1.fc8).

The mentioned change in the original report still works partly, only
"skip_blanks"  must be set to 1 now.

possible change in
/usr/share/system-config-samba/sambaParser.py:
-----------------------------
        if os.access(path, os.R_OK) == 1:
            #Check to see if we can read from the file
            fd = open(path, 'r')
            #lines = fd.readlines()
            tf = TextFile(file = fd, join_lines = 1, strip_comments = 0,
skip_blanks = 1, rstrip_ws = 1, collapse_join = 0);
            lines = tf.readlines()
            fd.close()
-----------------------------
Comment 4 Bug Zapper 2008-11-26 02:08:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Christian Krause 2008-12-07 12:13:19 EST
Unfortunately the problem is still present in F10. Because the implementation of the smb.conf parser has changed my suggested fix cannot be applied without modifications.

If there is a chance that a patch would be accepted I would try to create one which works with the current implementation. ;-)
Comment 6 Bug Zapper 2009-11-18 03:10:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 00:54:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.